package com.zd.laboratory.service;

import java.util.List;

import com.zd.laboratory.domain.LabSubjectLayout;
import com.zd.system.api.laboratory.domain.SubAddrr;

/**
 * 实验室布局Service接口
 *
 * @author zd
 * @date 2021-09-23
 */
public interface ILabSubjectLayoutService {
    /**
     * 查询实验室布局
     *
     * @param id 实验室布局主键
     * @return 实验室布局
     */
    public LabSubjectLayout selectLabSubjectLayoutById(Long id);

    /**
     * 查询实验室布局列表
     *
     * @param labSubjectLayout 实验室布局
     * @return 实验室布局集合
     */
    public List<LabSubjectLayout> selectLabSubjectLayoutList(LabSubjectLayout labSubjectLayout);


    /**
     * 查询实验室布局列表-未使用
     *
     * @return 实验室布局集合
     */
    public List<LabSubjectLayout> selectLabSubjectLayoutNoUseList(LabSubjectLayout labSubjectLayout);

    /**
     * 新增实验室布局
     *
     * @param labSubjectLayout 实验室布局
     * @return 结果
     */
    public int insertLabSubjectLayout(LabSubjectLayout labSubjectLayout);

    /**
     * 修改实验室布局
     *
     * @param labSubjectLayout 实验室布局
     * @return 结果
     */
    public int updateLabSubjectLayout(LabSubjectLayout labSubjectLayout);

    /**
     * 批量删除实验室布局
     *
     * @param ids 需要删除的实验室布局主键集合
     * @return 结果
     */
    public int deleteLabSubjectLayoutByIds(Long[] ids);

    /**
     * 通过ID批量获取实验室布局
     *
     * @param ids 主键集合
     * @return 结果
     */
    public List<SubAddrr> selectAddrrByLayoutIds(Long... ids);

    /**
     * 删除实验室布局信息
     *
     * @param id 实验室布局主键
     * @return 结果
     */
    public int deleteLabSubjectLayoutById(Long id);
}
